DM 更换版本

为提高效率,提问时请提供以下信息,问题描述清晰可优先响应。

  • 【TiDB 版本】:3.0.2
  • 【问题描述】:DM之前使用dm-ansible部署的最新版本1.1.0,ansible 2.6.19,现在想重新搭建dm稳定版本1.0.3,想请问下,dm-ansible需要下载哪个版本

若提问为性能优化、故障排查类问题,请下载脚本运行。终端输出的打印结果,请务必全选并复制粘贴上传。

下载 dm 1.0.3 版本即可,也是目前最新的版本。

dm-ansible需要下载对应哪个版本呢


version 替换成 v1.0.3

我是说这,我需要些哪个版本,之前就是按照官网操作的,结果写的最新版本,遇到问题,你们官方说,需要换成稳定版本。dm我已经改了1.0.3,dm-ansible不是也要下载对应版本的吗?

这里就是下载 dm-ansible 的包,version 换成 v1.0.3 下载部署就可以。

配置清理relay-log的purge参数,在inventory.ini中配置吧image

之前使用DM最新版本lasted,昨天更新为v1.0.3版本,之前使用lasted 其中一个实例使用分库分表,在tidb进行合库合表,没有问题,升级完v1.0.3在数据迁移同步的时候报错

请确认你的操作步骤:

1、降级 DM 至 1.0.3 版本

2、是重新对合库合表的 task 做了全量操作,进行了 dump + loader 操作吗?

之前是lasted版本,有一次出现修改表结构问题,你们官方说建议更新到v1.0.3稳定版本,昨天进行更新的,用的还是之前task配置的任务,数据库里面都清空了,重新拉取的数据 image

重置 DM 任务,建议参考下述链接: